v2_services_operations_retrieve
GET
/api/v2/services/operations/{operation_id}/
const url = 'https://example.com/api/v2/services/operations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v2/services/operations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \ --header 'X-API-Key: <X-API-Key>'Get the status of a single operation by its operation_id.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”operation_id
required
string format: uuid
Responses
Section titled “Responses”Media typeapplication/json
object
success
boolean
idempotent
boolean
operation_id
required
string format: uuid
service_id
required
string format: uuid
status
required
string
action
required
string
task_id
string
status_reason
string
created_at
string format: date-time
started_at
string format: date-time
completed_at
string format: date-time
updated_at
string format: date-time
Example generated
{ "success": true, "idempotent": true, "operation_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "service_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "status": "example", "action": "example", "task_id": "example", "status_reason": "example", "created_at": "2026-04-15T12:00:00Z", "started_at": "2026-04-15T12:00:00Z", "completed_at": "2026-04-15T12:00:00Z", "updated_at": "2026-04-15T12:00:00Z"}Media typeapplication/json
object
success
required
boolean
data
meta
object
page
integer
size
integer
total
integer
active_total
integer
total_pages
integer
has_next
boolean
has_prev
boolean
sort_by
string
sort_dir
string
msg
object
msg_kind
string
msg_text
string
error
string
pagination
object
count
integer
next
string
previous
string
Example generated
{ "success": true, "data": "example", "meta": { "page": 1, "size": 1, "total": 1, "active_total": 1, "total_pages": 1, "has_next": true, "has_prev": true, "sort_by": "example", "sort_dir": "example" }, "msg": { "msg_kind": "example", "msg_text": "example" }, "error": "example", "pagination": { "count": 1, "next": "example", "previous": "example" }}